"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.reportToRow = exports.reportToRowHeaders = void 0;
const sync_1 = __importDefault(require("csv-parse/lib/sync"));
const reportToRowHeaders = (csvFileContents) => {
    const singleReportRows = sync_1.default(csvFileContents, {
        columns: true,
        skip_empty_lines: true,
        ltrim: true,
        relax: true, // https://csv.js.org/parse/options/
    });
    if (!singleReportRows || singleReportRows.length === 0)
        throw new Error('Unable to find report headers');
    const headers = [
        'Requested URL',
        'Final URL',
        ...singleReportRows.map((row) => `${row.category}: ${row.title} (${row.type})`),
    ];
    return headers;
};
exports.reportToRowHeaders = reportToRowHeaders;
const reportToRow = (csvFileContents) => {
    const reportRows = sync_1.default(csvFileContents, {
        // https://csv.js.org/parse/options/
        columns: true,
        skip_empty_lines: true,
        ltrim: true,
    });
    // Sometimes reports come out half-baked...
    if (!reportRows || reportRows.length === 0) {
        return false;
    }
    const csvRow = [
        reportRows[0].requestedUrl,
        reportRows[0].finalUrl,
        ...reportRows.map((reportRow) => reportRow.score),
    ];
    return csvRow;
};
exports.reportToRow = reportToRow;
