"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeFileNameFromUrl = exports.usefulDirName = exports.isContentTypeHtml = void 0;
const sanitize_filename_1 = __importDefault(require("sanitize-filename"));
const isContentTypeHtml = (contentType) => {
    return contentType === null || contentType === void 0 ? void 0 : contentType.toLowerCase().includes('html');
};
exports.isContentTypeHtml = isContentTypeHtml;
const usefulDirName = () => {
    const date = new Date();
    const iso = date.toISOString();
    const withoutColons = iso.replace(/:/g, '_');
    const trimmed = withoutColons.split('.')[0];
    return trimmed;
};
exports.usefulDirName = usefulDirName;
const makeFileNameFromUrl = (url, extension) => {
    const newUrl = url.replace(/\./g, '_').replace(/\//g, '-');
    return `${sanitize_filename_1.default(newUrl)}.${extension}`;
};
exports.makeFileNameFromUrl = makeFileNameFromUrl;
